Update Artist
curl --request PUT \
--url https://api.royalti.io/artist/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"artistName": "<string>",
"signDate": "2023-12-25",
"label": "<string>",
"publisher": "<string>",
"copyright": "<string>",
"externalId": "<string>",
"links": {},
"contributors": {},
"split": [
{
"user": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"share": 123
}
],
"users": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
'import requests
url = "https://api.royalti.io/artist/{id}"
payload = {
"artistName": "<string>",
"signDate": "2023-12-25",
"label": "<string>",
"publisher": "<string>",
"copyright": "<string>",
"externalId": "<string>",
"links": {},
"contributors": {},
"split": [
{
"user": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"share": 123
}
],
"users": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
artistName: '<string>',
signDate: '2023-12-25',
label: '<string>',
publisher: '<string>',
copyright: '<string>',
externalId: '<string>',
links: {},
contributors: {},
split: [{user: '3c90c3cc-0d44-4b50-8888-8dd25736052a', share: 123}],
users: ['3c90c3cc-0d44-4b50-8888-8dd25736052a']
})
};
fetch('https://api.royalti.io/artist/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Artist updated successfully"
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": [
"<string>"
]
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": [
"<string>"
]
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": [
"<string>"
]
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": [
"<string>"
]
}
}Artist
Update Artist
artist/
PUT
/
artist
/
{id}
Update Artist
This endpoint requires authentication. Include your Bearer token in the Authorization header.
Description
artist/ Description: The/artist/{id} endpoint allows updating the details of a specific artist identified by their unique ID.
Authorization:
- Required role:
adminor higher
PUT
Path Parameter:
| Parameter | Type | Description |
|---|---|---|
| id | string | The unique identifier of the artist. |
| Parameter | Type | Description |
|---|---|---|
| artistName | string | The updated name of the artist. |
| signDate | date | The updated sign date. |
| label | string | The updated label. |
| publisher | string | The updated publisher. |
| copyright | string | The updated copyright information. |
| externalId | string | The updated external ID. |
| links | object | Updated links (JSON string when using multipart/form-data). |
| contributors | object | Updated contributors. |
| split | array/object | Updated split information (supports both array and object format). |
| file | file | Artist profile image (when using multipart/form-data). |
| users | array | Array of user IDs to associate with artist. |
application/json and multipart/form-data.
Use multipart/form-data when uploading an artist image file.
Code Examples
const response = await fetch('https://api.royalti.io/artist/example-id', {
method: 'PUT',
headers: {
'Authorization': `Bearer ${token}`,
'Content-Type': 'application/json'
},
body: JSON.stringify({
"artistName": "sample-artistName",
"signDate": "2024-01-21",
"label": "sample-label",
"publisher": "sample-publisher",
"copyright": "sample-copyright",
"externalId": "sample-externalId",
"links": {},
"contributors": {},
"users": [
{}
]
})
});
const data = await response.json();
console.log(data);
import requests
response = requests.put(
'https://api.royalti.io/artist/example-id',
headers={
'Authorization': f'Bearer {token}'
},
json={"artistName":"sample-artistName","signDate":"2024-01-21","label":"sample-label","publisher":"sample-publisher","copyright":"sample-copyright","externalId":"sample-externalId","links":{},"contributors":{},"users":[{}]}
)
data = response.json()
print(data)
curl -X PUT https://api.royalti.io/artist/example-id \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{"artistName":"sample-artistName","signDate":"2024-01-21","label":"sample-label","publisher":"sample-publisher","copyright":"sample-copyright","externalId":"sample-externalId","links":{},"contributors":{},"users":[{}]}'
Authorizations
JWT Authorization header using the Bearer scheme. Format: "Bearer {token}"
Path Parameters
Artist ID
Body
application/jsonmultipart/form-data
⌘I